View: 228|Reply: 3

Problems with my new RaspTank

[Copy link]

1

Threads

3

Posts

13

Credits

Newbie

Rank: 1

Credits
13
Post time 2020-4-19 23:17:34 | Show all posts |Read mode
Edited by 1584521328 at 2020-4-19 11:38 PM

Hi all,

i'm new to this forum and just bought the RaspTank but i have some problems to make it works.

i've followed this tutorial for the software installation: https://www.adeept.com/video/detail-53.html and looking also at this pdf https://www.adeept.com/video/static1/itemsfile/Manual_Adeept_RaspTank_V1_2.pdf for the startup but here comes my problems:

where i can find the client.py and the folder client mentioned in the PDF? i tired downloading on my pc this project https://github.com/adeept/Adeept_RaspTank but didn't find them.
I found only a file named GYU.py that open a UI similar at one indicated in the PDF but trying connectting with the IP (the ip is correct because putty works) i see this errors on a console:

Exception in thread Thread-4:
Traceback (most recent call last):
  File "C:\Users\Gimmy\AppData\Local\Programs\Python\Python37\lib\threading.py", line 917, in _bootstrap_inner
    self.run()
  File "C:\Users\Gimmy\AppData\Local\Programs\Python\Python37\lib\threading.py", line 865, in run
    self._target(*self._args, **self._kwargs)
  File "C:\Users\Gimmy\Desktop\Rasp\Adeept_RaspTank-master\Adeept_RaspTank-master\GUI\GUI.py", line 386, in socket_connect
    tcpClicSock.connect(ADDR)        #Connection with the server
ConnectionRefusedError: [WinError 10061] Impossibile stabilire la connessione. Rifiuto persistente del computer di destinazione


I don't know how go forward and so i'm here asking for an advice. What can i do? what i done wrong?

Thanks for any help.
Gimmy

Reply

Use magic Report

1

Threads

3

Posts

13

Credits

Newbie

Rank: 1

Credits
13
 Author| Post time 2020-4-19 23:37:42 | Show all posts
Edited by 1584521328 at 2020-4-19 11:39 PM

New update:

I tried launch  sudo python3 server.py from putty connected to the raspberry and here the result:

pi@raspberrypi:~/adeept_rasptank/server $ sudo python3 server.py
......................pause..........................
waiting for App connection...
Use "sudo pip3 install rpi_ws281x" to install WS_281x package
192.168.178.47
waiting for connection...

At this point i launch the GUI.py in the folder GUI from the PC and now i was able to connect to the raspTank(and also see the camera works) but trying to do something (forward, up, loose, ecc) ffrom the interface the program break and here the error:

...connected from : ('192.168.178.30', 53864)
192.168.178.30
('192.168.178.30', 2256)
('192.168.178.30', 2257)
Traceback (most recent call last):
  File "server.py", line 483, in <module>
    run()
  File "server.py", line 364, in run
    servo.catch(catch_input)
AttributeError: module 'servo' has no attribute 'catch'


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "server.py", line 485, in <module>
    LED.colorWipe(Color(0,0,0))
TypeError: colorWipe() missing 2 required positional arguments: 'G' and 'B'



Hope someone ca give me some good advice to solve this problems!


Thanks
Gimmy


Reply

Use magic Report

0

Threads

6

Posts

55

Credits

Registered member

Rank: 2

Credits
55
Post time 2020-4-20 16:16:17 | Show all posts
The repo seems to be broken..

May use another repo, like https://github.com/Mark-Hetherington/Adeept_RaspTank

Or fix the errors ;)
DarkPaw (modded)
MyRepo
Reply

Use magic Report

1

Threads

3

Posts

13

Credits

Newbie

Rank: 1

Credits
13
 Author| Post time 2020-4-20 20:11:09 | Show all posts
TangoCash replied at 2020-4-20 04:16 PM
The repo seems to be broken..

May use another repo, like https://github.com/Mark-Hetherington/Adeep ...

Thank you very mcuh!! With the new repo linked all works quite well...apart some little problems that i can handle on my own..i hope!

Bye and thank you again
Reply

Use magic Report

You have to log in before you can reply Login | Sign Up

Points Rules